Ensure your version of NetCommunity and Custom Form Part are compatible.  Custom Form Builder part uses .Net 2.0.  With the transition to .Net 4.0 for NetCommunity 6.41, the parts are no longer compatible.  Instead, use the built in forms feature within NetCommunity.